# Draw
TKDCAF
DrawDim

# DrawDim_PlanarAngle Class Reference

`#include <DrawDim_PlanarAngle.hxx>`

Inheritance diagram for DrawDim_PlanarAngle:

[legend]

## Public Member Functions

Standard_EXPORT | DrawDim_PlanarAngle (const TopoDS_Face &plane, const TopoDS_Shape &line1, const TopoDS_Shape &line2)
Standard_EXPORT | DrawDim_PlanarAngle (const TopoDS_Shape &line1, const TopoDS_Shape &line2)
Standard_EXPORT void | Sector (const Standard_Boolean inverted, const Standard_Boolean reversed)
Standard_EXPORT void | Position (const Standard_Real value)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myLine1
TopoDS_Shape | myLine2
Standard_Boolean | myIsReversed
Standard_Boolean | myIsInverted
Standard_Real | myPosition

## Constructor & Destructor Documentation

Standard_EXPORT DrawDim_PlanarAngle::DrawDim_PlanarAngle | ( | const TopoDS_Face & | plane,
|  | const TopoDS_Shape & | line1,
|  | const TopoDS_Shape & | line2
| ) |

Standard_EXPORT DrawDim_PlanarAngle::DrawDim_PlanarAngle | ( | const TopoDS_Shape & | line1,
|  | const TopoDS_Shape & | line2
| ) |

## Member Function Documentation

Standard_EXPORT void DrawDim_PlanarAngle::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

Standard_EXPORT const DrawDim_PlanarAngle::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawDim_PlanarDimension.

Standard_EXPORT void DrawDim_PlanarAngle::Position | ( | const Standard_Real | value | ) |

Standard_EXPORT void DrawDim_PlanarAngle::Sector | ( | const Standard_Boolean | inverted,
|  | const Standard_Boolean | reversed
| ) |

## Field Documentation

Standard_Boolean DrawDim_PlanarAngle::myIsInverted `[private]`

Standard_Boolean DrawDim_PlanarAngle::myIsReversed `[private]`

TopoDS_Shape DrawDim_PlanarAngle::myLine1 `[private]`

TopoDS_Shape DrawDim_PlanarAngle::myLine2 `[private]`

Standard_Real DrawDim_PlanarAngle::myPosition `[private]`

The documentation for this class was generated from the following file:

- DrawDim_PlanarAngle.hxx